Add members to a Team
curl --request POST \
--url https://external.pleo.io/v1/teams/{teamId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"employeeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://external.pleo.io/v1/teams/{teamId}/members"
payload = { "employeeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({employeeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://external.pleo.io/v1/teams/{teamId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"employeeId": "<string>",
"success": true,
"error": "<string>"
}
]
}Teams
Add members to a Team
Use this endpoint to add one or more Employees to a Team. An Employee can only be an active member of one Team at a time, so adding an Employee who is already a member of this Team or a different Team does not move them; it returns a per-employee failure with error ‘EMPLOYEE_ALREADY_IN_TEAM’ for that Employee.
POST
/
v1
/
teams
/
{teamId}
/
members
Add members to a Team
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Enter the team ID.
Body
application/json;charset=UTF-8
IDs of the Employees to add to the Team.
IDs of the Employees to add to the Team.
Response
Members were added to the team
Show child attributes
Show child attributes
Was this page helpful?